.subscribe {
    width: 100%;
    height: 460px;
    background: url('../img/form.png');
    margin-top: 48px;
    position: relative;
    overflow: hidden;
    z-index: 0;

    &__decor {
        position: absolute;
        width: 850px;
        height: 946px;
        left: 5px;
        top: 0px;
        z-index: -1;
    }

    &__decor1 {
        position: absolute;
        width: 850px;
        height: 946px;
        left: 322px;
        top: 0px;
        z-index: -1;
    }

    &__decor2 {
        position: absolute;
        width: 850px;
        height: 946px;
        left: 654px;
        top: 0px;
        z-index: -1;
    }

    &__decor-ellipse1 {
        position: absolute;
        width: 640px;
        height: 640px;
        left: 600px;
        top:55px;
        z-index: -1;
        opacity: 0.5;
    }

    &__decor-ellipse2 {
        position: absolute;
        width: 1144px;
        height: 1144px;
        left: 390px;
        top: 55px;
        z-index: -1;
        opacity: 0.5;
    }

    &__title {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: bold;
        font-size: 32px;
        line-height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: $color-primary-first;
        margin-top: 72px;
    }

    &__text {
        // width: 555px;
        font-family: 'Roboto';
        font-style: normal;
        font-weight: normal;
        font-size: 20px;
        line-height: 28px;
        display: flex;
        align-items: center;
        text-align: center;
        justify-content: center;
        color: $color-primary-first;
        margin-top: 32px;
        padding: 0px 349px;
    }


    .form {
        display: flex;

        &__search {
            display: flex;
            justify-content: space-between;
            
        }


        &__group {
            position: relative;

        }

        &__label {
            position: absolute;
            top: 0;
            z-index: 0;
            transition: 0.3s;
            color: $color-text-first;
            left: 0;
            margin-top: 48px;
            margin-right: 64px;
            padding: 24px;
            font-family: Roboto;
            font-style: normal;
            font-weight: bold;
            font-size: 16px;
            line-height: 24px;
        }

        &__input {
            border: 1px solid $color-primary-first;
            box-sizing: border-box;
            border-radius: 6px;
            background-color: transparent;
            width: 256px;    
            height: 72px;
            margin-top: 48px;
            padding: 24px;
            outline: none;
            transition: 0.3s;

            &:hover {
                border: 1px solid $color-primary-second;
            }
        }


        &__btn {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 24px 16px;
            width: 256px;
            height: 72px;
            background: #5101A6;
            border-radius: 6px;
            margin-top: 48px;
            font-family: 'Roboto';
            font-style: normal;
            font-weight: bold;
            font-size: 16px;
            line-height: 24px;
            text-transform: uppercase;
            color: $color-primary-first;
            transition: 0.3s;

            &:hover {
                background: $color-primary-first;
                color: $color-text-second;
            }
        }



    }
}

.form__input:focus~.form__label {
    top: -35px;
    font-size: 12px;
}